Bug 4658 - Documentation: HildonTouchSelectorEntry is unclear about auto-completion/text column
: Documentation: HildonTouchSelectorEntry is unclear about auto-completion/text...
Status: RESOLVED FIXED
Product: Desktop platform
hildon-widgets
: 5.0-beta
: All Linux
: Low normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: Xabier Rodríguez Calvar
: hildon-libs-bugs
: http://maemo.org/api_refs/5.0/beta/hi...
: docs
:
:
  Show dependency tree
 
Reported: 2009-06-11 13:49 UTC by Murray Cumming
Modified: 2010-03-15 20:53 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Murray Cumming (reporter) 2009-06-11 13:49:15 UTC
The HildonTouchSelectorEntry description is rather unclear:
http://maemo.org/api_refs/5.0/alpha/libhildon/HildonTouchSelectorEntry.html

Some things I think it should mention more obviously, if they are true:

- There is no sense in having a HildonTouchSelectorEntry with multiple columns.
For instance, you couldn't use it to create a HildonTimeSelector class that
also allowed text to be entered as text.
  So I don't know why it mentions "If you only need a text only, one column
selector  ...". Maybe that's a copy/paste error.
  Extra cell renderers in the single column could be useful, though only for
additional data (such as images) that would not be used in the auto-completion
or in the final text value.

- The (undocumented) text-property column is used to offer auto-completion
possibilities in the entry widget.
  It should mention what kind of auto-completion matching is done. I guess
there is no way to get the entry widget, so there is no way to change from the
default case-sensitive matching.
Comment 1 Claudio Saavedra 2009-06-12 10:28:41 UTC
For the record, you are filing bugs against the alpha release of hildon
(2.1.42). There is a beta already (2.1.62) and the current version in git is at
(2.1.81).

We would appreciate if you review your comments against something that's not so
obsolete.
Comment 2 Murray Cumming (reporter) 2009-06-12 10:37:05 UTC
(In reply to comment #1)
> For the record, you are filing bugs against the alpha release of hildon
> (2.1.42). There is a beta already (2.1.62) and the current version in git is at
> (2.1.81).

I mistyped the one URL in this one bug. There's no need to exaggerate.


I do see that there is now a function to get the entry, mentioned in the
description: "For more specific use cases, the HildonEntry can be accessed
directly with hildon_touch_selector_get_entry()". That's great, but the default
behavior should still be described, and the documentation should suggest why
you might want to use that entry, for instance to change the autocompletion
matching algorithm.

My other comments also still seem to apply.
Comment 3 Alejandro Piñeiro Iglesias 2009-06-18 17:40:54 UTC
(In reply to comment #0)

> - The (undocumented) text-property column is used to offer auto-completion
> possibilities in the entry widget.

I have just reviewed it. The property was documented, but it seems that gtk-doc
output for the deprecated elements is different, depending on his type. On the
functions it adds a "Warning: deprecated blabla", but on the properties the
text after "Deprecated:" is ignored. My error was put all the description of
this property after the "Deprecated:"

I have fixed it right now, on the git repository, explain the global use of the
property, and explain that it is deprecated, and that
HildonTouchSelectorColumn:text-property should be used instead. I maintain the
"Deprecated:" in order to allow this property to be included on the list of
deprecated items.

(Anyway this is not the real reason of the bug)

Thanks for your help
Comment 4 Xabier Rodríguez Calvar 2010-01-29 17:44:50 UTC
Fixed.

commit dfec98804077dba7c3bd8f0fab7d370188c61950
Author: Xabier Rodriguez Calvar <xrcalvar@igalia.com>
Date:   Fri Jan 29 16:38:00 2010 +0100

    Improved docs of HildonTouchSelectorEntry about columns management.

    Fixes: NB#4658 (Documentation: HildonTouchSelectorEntry is unclear
    about auto-completion/text column)
Comment 5 Andre Klapper maemo.org 2010-03-15 20:53:28 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).